package com.kingdee.eas.custom.entryconfig;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class DataConfigCollection extends AbstractObjectCollection 
{
    public DataConfigCollection()
    {
        super(DataConfigInfo.class);
    }
    public boolean add(DataConfigInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(DataConfigCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(DataConfigInfo item)
    {
        return removeObject(item);
    }
    public DataConfigInfo get(int index)
    {
        return(DataConfigInfo)getObject(index);
    }
    public DataConfigInfo get(Object key)
    {
        return(DataConfigInfo)getObject(key);
    }
    public void set(int index, DataConfigInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(DataConfigInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(DataConfigInfo item)
    {
        return super.indexOf(item);
    }
}